{
    "$graph": [
        {
            "class": "Workflow",
            "label": "Subworkflow that runs cnvkit in single sample mode and returns a vcf file",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "$(inputs.tumor_bam.nameroot).cnvkit.vcf",
                    "id": "#cnvkit_single_sample.cwl/cnvkit_vcf_name"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#cnvkit_single_sample.cwl/diagram"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#cnvkit_single_sample.cwl/drop_low_coverage"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#cnvkit_single_sample.cwl/male_reference"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "hybrid",
                    "id": "#cnvkit_single_sample.cwl/method"
                },
                {
                    "type": "File",
                    "id": "#cnvkit_single_sample.cwl/reference_cnn"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#cnvkit_single_sample.cwl/scatter_plot"
                },
                {
                    "type": "File",
                    "id": "#cnvkit_single_sample.cwl/tumor_bam"
                }
            ],
            "steps": [
                {
                    "run": "#cnvkit_vcf_export.cwl",
                    "in": [
                        {
                            "source": "#cnvkit_single_sample.cwl/cnvkit_main/tumor_bin_level_ratios",
                            "id": "#cnvkit_single_sample.cwl/cns_to_vcf/cnr_file"
                        },
                        {
                            "source": "#cnvkit_single_sample.cwl/cnvkit_main/tumor_segmented_ratios",
                            "id": "#cnvkit_single_sample.cwl/cns_to_vcf/cns_file"
                        },
                        {
                            "source": "#cnvkit_single_sample.cwl/male_reference",
                            "id": "#cnvkit_single_sample.cwl/cns_to_vcf/male_reference"
                        },
                        {
                            "source": "#cnvkit_single_sample.cwl/cnvkit_vcf_name",
                            "id": "#cnvkit_single_sample.cwl/cns_to_vcf/output_name"
                        }
                    ],
                    "out": [
                        "#cnvkit_single_sample.cwl/cns_to_vcf/cnvkit_vcf"
                    ],
                    "id": "#cnvkit_single_sample.cwl/cns_to_vcf"
                },
                {
                    "run": "#cnvkit_batch.cwl",
                    "in": [
                        {
                            "source": "#cnvkit_single_sample.cwl/diagram",
                            "id": "#cnvkit_single_sample.cwl/cnvkit_main/diagram"
                        },
                        {
                            "source": "#cnvkit_single_sample.cwl/drop_low_coverage",
                            "id": "#cnvkit_single_sample.cwl/cnvkit_main/drop_low_coverage"
                        },
                        {
                            "source": "#cnvkit_single_sample.cwl/male_reference",
                            "id": "#cnvkit_single_sample.cwl/cnvkit_main/male_reference"
                        },
                        {
                            "source": "#cnvkit_single_sample.cwl/method",
                            "id": "#cnvkit_single_sample.cwl/cnvkit_main/method"
                        },
                        {
                            "source": "#cnvkit_single_sample.cwl/reference_cnn",
                            "id": "#cnvkit_single_sample.cwl/cnvkit_main/reference_cnn"
                        },
                        {
                            "source": "#cnvkit_single_sample.cwl/scatter_plot",
                            "id": "#cnvkit_single_sample.cwl/cnvkit_main/scatter_plot"
                        },
                        {
                            "source": "#cnvkit_single_sample.cwl/tumor_bam",
                            "id": "#cnvkit_single_sample.cwl/cnvkit_main/tumor_bam"
                        }
                    ],
                    "out": [
                        "#cnvkit_single_sample.cwl/cnvkit_main/cn_diagram",
                        "#cnvkit_single_sample.cwl/cnvkit_main/cn_scatter_plot",
                        "#cnvkit_single_sample.cwl/cnvkit_main/tumor_antitarget_coverage",
                        "#cnvkit_single_sample.cwl/cnvkit_main/tumor_target_coverage",
                        "#cnvkit_single_sample.cwl/cnvkit_main/tumor_bin_level_ratios",
                        "#cnvkit_single_sample.cwl/cnvkit_main/tumor_segmented_ratios"
                    ],
                    "id": "#cnvkit_single_sample.cwl/cnvkit_main"
                }
            ],
            "id": "#cnvkit_single_sample.cwl",
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#cnvkit_single_sample.cwl/cnvkit_main/cn_diagram",
                    "id": "#cnvkit_single_sample.cwl/cn_diagram"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#cnvkit_single_sample.cwl/cnvkit_main/cn_scatter_plot",
                    "id": "#cnvkit_single_sample.cwl/cn_scatter_plot"
                },
                {
                    "type": "File",
                    "outputSource": "#cnvkit_single_sample.cwl/cns_to_vcf/cnvkit_vcf",
                    "id": "#cnvkit_single_sample.cwl/cnvkit_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#cnvkit_single_sample.cwl/cnvkit_main/tumor_antitarget_coverage",
                    "id": "#cnvkit_single_sample.cwl/tumor_antitarget_coverage"
                },
                {
                    "type": "File",
                    "outputSource": "#cnvkit_single_sample.cwl/cnvkit_main/tumor_bin_level_ratios",
                    "id": "#cnvkit_single_sample.cwl/tumor_bin_level_ratios"
                },
                {
                    "type": "File",
                    "outputSource": "#cnvkit_single_sample.cwl/cnvkit_main/tumor_segmented_ratios",
                    "id": "#cnvkit_single_sample.cwl/tumor_segmented_ratios"
                },
                {
                    "type": "File",
                    "outputSource": "#cnvkit_single_sample.cwl/cnvkit_main/tumor_target_coverage",
                    "id": "#cnvkit_single_sample.cwl/tumor_target_coverage"
                }
            ]
        },
        {
            "class": "Workflow",
            "label": "Subworkflow to allow calling different SV callers which require bam files as inputs",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/cnvkit_diagram"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/cnvkit_drop_low_coverage"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/cnvkit_male_reference"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#main/cnvkit_method"
                },
                {
                    "type": "File",
                    "id": "#main/cnvkit_reference_cnn"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/cnvkit_scatter_plot"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#main/cnvkit_vcf_name"
                },
                {
                    "type": "File",
                    "id": "#main/cram"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#main/manta_call_regions"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/manta_non_wgs"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/manta_output_contigs"
                },
                {
                    "type": "string",
                    "id": "#main/reference"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#main/smoove_exclude_regions"
                }
            ],
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/run_cnvkit/cn_diagram",
                    "id": "#main/cn_diagram"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/run_cnvkit/cn_scatter_plot",
                    "id": "#main/cn_scatter_plot"
                },
                {
                    "type": "File",
                    "outputSource": "#main/run_cnvkit/cnvkit_vcf",
                    "id": "#main/cnvkit_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#main/run_manta/all_candidates",
                    "id": "#main/manta_all_candidates"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/run_manta/diploid_variants",
                    "id": "#main/manta_diploid_variants"
                },
                {
                    "type": "File",
                    "outputSource": "#main/run_manta/small_candidates",
                    "id": "#main/manta_small_candidates"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/run_manta/somatic_variants",
                    "id": "#main/manta_somatic_variants"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/run_manta/tumor_only_variants",
                    "id": "#main/manta_tumor_only_variants"
                },
                {
                    "type": "File",
                    "outputSource": "#main/run_smoove/output_vcf",
                    "id": "#main/smoove_output_variants"
                },
                {
                    "type": "File",
                    "outputSource": "#main/run_cnvkit/tumor_antitarget_coverage",
                    "id": "#main/tumor_antitarget_coverage"
                },
                {
                    "type": "File",
                    "outputSource": "#main/run_cnvkit/tumor_bin_level_ratios",
                    "id": "#main/tumor_bin_level_ratios"
                },
                {
                    "type": "File",
                    "outputSource": "#main/run_cnvkit/tumor_segmented_ratios",
                    "id": "#main/tumor_segmented_ratios"
                },
                {
                    "type": "File",
                    "outputSource": "#main/run_cnvkit/tumor_target_coverage",
                    "id": "#main/tumor_target_coverage"
                }
            ],
            "steps": [
                {
                    "run": "#cram_to_bam.cwl",
                    "in": [
                        {
                            "source": "#main/cram",
                            "id": "#main/cram_to_bam/cram"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/cram_to_bam/reference"
                        }
                    ],
                    "out": [
                        "#main/cram_to_bam/bam"
                    ],
                    "id": "#main/cram_to_bam"
                },
                {
                    "run": "#index_bam.cwl",
                    "in": [
                        {
                            "source": "#main/cram_to_bam/bam",
                            "id": "#main/index_bam/bam"
                        }
                    ],
                    "out": [
                        "#main/index_bam/indexed_bam"
                    ],
                    "id": "#main/index_bam"
                },
                {
                    "run": "#cnvkit_single_sample.cwl",
                    "in": [
                        {
                            "source": "#main/cnvkit_vcf_name",
                            "id": "#main/run_cnvkit/cnvkit_vcf_name"
                        },
                        {
                            "source": "#main/cnvkit_diagram",
                            "id": "#main/run_cnvkit/diagram"
                        },
                        {
                            "source": "#main/cnvkit_drop_low_coverage",
                            "id": "#main/run_cnvkit/drop_low_coverage"
                        },
                        {
                            "source": "#main/cnvkit_male_reference",
                            "id": "#main/run_cnvkit/male_reference"
                        },
                        {
                            "source": "#main/cnvkit_method",
                            "id": "#main/run_cnvkit/method"
                        },
                        {
                            "source": "#main/cnvkit_reference_cnn",
                            "id": "#main/run_cnvkit/reference_cnn"
                        },
                        {
                            "source": "#main/cnvkit_scatter_plot",
                            "id": "#main/run_cnvkit/scatter_plot"
                        },
                        {
                            "source": "#main/index_bam/indexed_bam",
                            "id": "#main/run_cnvkit/tumor_bam"
                        }
                    ],
                    "out": [
                        "#main/run_cnvkit/cn_diagram",
                        "#main/run_cnvkit/cn_scatter_plot",
                        "#main/run_cnvkit/tumor_antitarget_coverage",
                        "#main/run_cnvkit/tumor_target_coverage",
                        "#main/run_cnvkit/tumor_bin_level_ratios",
                        "#main/run_cnvkit/tumor_segmented_ratios",
                        "#main/run_cnvkit/cnvkit_vcf"
                    ],
                    "id": "#main/run_cnvkit"
                },
                {
                    "run": "#manta_somatic.cwl",
                    "in": [
                        {
                            "source": "#main/manta_call_regions",
                            "id": "#main/run_manta/call_regions"
                        },
                        {
                            "source": "#main/manta_non_wgs",
                            "id": "#main/run_manta/non_wgs"
                        },
                        {
                            "source": "#main/manta_output_contigs",
                            "id": "#main/run_manta/output_contigs"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/run_manta/reference"
                        },
                        {
                            "source": "#main/index_bam/indexed_bam",
                            "id": "#main/run_manta/tumor_bam"
                        }
                    ],
                    "out": [
                        "#main/run_manta/diploid_variants",
                        "#main/run_manta/somatic_variants",
                        "#main/run_manta/all_candidates",
                        "#main/run_manta/small_candidates",
                        "#main/run_manta/tumor_only_variants"
                    ],
                    "id": "#main/run_manta"
                },
                {
                    "run": "#smoove.cwl",
                    "in": [
                        {
                            "source": [
                                "#main/index_bam/indexed_bam"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/run_smoove/bams"
                        },
                        {
                            "source": "#main/smoove_exclude_regions",
                            "id": "#main/run_smoove/exclude_regions"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/run_smoove/reference"
                        }
                    ],
                    "out": [
                        "#main/run_smoove/output_vcf"
                    ],
                    "id": "#main/run_smoove"
                }
            ],
            "id": "#main"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "/usr/bin/python",
                "/usr/local/bin/cnvkit.py",
                "batch"
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "etal/cnvkit:0.9.5"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "ramMin": 4000,
                    "tmpdirMin": 10000
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 5,
                        "prefix": "--access"
                    },
                    "id": "#cnvkit_batch.cwl/access"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 3,
                        "prefix": "--targets"
                    },
                    "id": "#cnvkit_batch.cwl/bait_intervals"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 7,
                        "prefix": "--diagram"
                    },
                    "id": "#cnvkit_batch.cwl/diagram"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 10,
                        "prefix": "--drop-low-coverage"
                    },
                    "id": "#cnvkit_batch.cwl/drop_low_coverage"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-y"
                    },
                    "id": "#cnvkit_batch.cwl/male_reference"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "hybrid",
                    "inputBinding": {
                        "position": 6,
                        "prefix": "--method"
                    },
                    "id": "#cnvkit_batch.cwl/method"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 2,
                        "prefix": "--normal"
                    },
                    "id": "#cnvkit_batch.cwl/normal_bam"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 4,
                        "prefix": "--fasta"
                    },
                    "id": "#cnvkit_batch.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-r"
                    },
                    "id": "#cnvkit_batch.cwl/reference_cnn"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 8,
                        "prefix": "--scatter"
                    },
                    "id": "#cnvkit_batch.cwl/scatter_plot"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#cnvkit_batch.cwl/tumor_bam"
                }
            ],
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.tumor_bam.nameroot)-diagram.pdf"
                    },
                    "id": "#cnvkit_batch.cwl/cn_diagram"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.tumor_bam.nameroot)-scatter.pdf"
                    },
                    "id": "#cnvkit_batch.cwl/cn_scatter_plot"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${  \n    var glob_base = \".antitarget.bed\";\n    if (inputs.bait_intervals) {\n        glob_base = inputs.bait_intervals.nameroot + glob_base;\n    }   \n    return glob_base;\n}  \n"
                    },
                    "id": "#cnvkit_batch.cwl/intervals_antitarget"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${\n    var glob_base = \".target.bed\";\n    if (inputs.bait_intervals) {\n        glob_base = inputs.bait_intervals.nameroot + glob_base;\n    }\n    return glob_base;\n}\n"
                    },
                    "id": "#cnvkit_batch.cwl/intervals_target"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${\n    var glob_base = \".antitargetcoverage.cnn\";\n    if (inputs.normal_bam) {\n        glob_base = inputs.normal_bam.nameroot + glob_base;\n    }\n    return glob_base;\n}\n"
                    },
                    "id": "#cnvkit_batch.cwl/normal_antitarget_coverage"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${\n    var glob_base = \".targetcoverage.cnn\";\n    if (inputs.normal_bam) {\n        glob_base = inputs.normal_bam.nameroot + glob_base;\n    }\n    return glob_base;\n}\n"
                    },
                    "id": "#cnvkit_batch.cwl/normal_target_coverage"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "reference.cnn"
                    },
                    "id": "#cnvkit_batch.cwl/reference_coverage"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.tumor_bam.nameroot).antitargetcoverage.cnn"
                    },
                    "id": "#cnvkit_batch.cwl/tumor_antitarget_coverage"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.tumor_bam.nameroot).cnr"
                    },
                    "id": "#cnvkit_batch.cwl/tumor_bin_level_ratios"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.tumor_bam.nameroot).cns"
                    },
                    "id": "#cnvkit_batch.cwl/tumor_segmented_ratios"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.tumor_bam.nameroot).targetcoverage.cnn"
                    },
                    "id": "#cnvkit_batch.cwl/tumor_target_coverage"
                }
            ],
            "id": "#cnvkit_batch.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Convert default cnvkit .cns output to standard vcf format",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "etal/cnvkit:0.9.5"
                },
                {
                    "class": "ShellCommandRequirement"
                }
            ],
            "baseCommand": [
                "/usr/bin/python",
                "/usr/local/bin/cnvkit.py",
                "call"
            ],
            "arguments": [
                {
                    "position": -1,
                    "valueFrom": "$(inputs.male_reference)",
                    "prefix": "-y"
                },
                "-o",
                "adjusted.tumor.cns",
                {
                    "shellQuote": false,
                    "valueFrom": "&&"
                },
                "/usr/bin/python",
                "/usr/local/bin/cnvkit.py",
                "export",
                "vcf",
                "adjusted.tumor.cns"
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 2,
                        "prefix": "--cnr"
                    },
                    "id": "#cnvkit_vcf_export.cwl/cnr_file"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": -2
                    },
                    "id": "#cnvkit_vcf_export.cwl/cns_file"
                },
                {
                    "type": "boolean",
                    "default": false,
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-y"
                    },
                    "id": "#cnvkit_vcf_export.cwl/male_reference"
                },
                {
                    "type": "string",
                    "default": "cnvkit_output.vcf",
                    "inputBinding": {
                        "position": 3,
                        "prefix": "-o"
                    },
                    "id": "#cnvkit_vcf_export.cwl/output_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#cnvkit_vcf_export.cwl/cnvkit_vcf"
                }
            ],
            "id": "#cnvkit_vcf_export.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "samtools view cram to bam",
            "baseCommand": [
                "/opt/samtools/bin/samtools",
                "view",
                "-b"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/samtools-cwl:1.0.0"
                }
            ],
            "arguments": [
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/$(inputs.cram.nameroot).bam"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "secondaryFiles": [
                        "^.crai"
                    ],
                    "id": "#cram_to_bam.cwl/cram"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-T",
                        "position": 1
                    },
                    "id": "#cram_to_bam.cwl/reference"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.cram.nameroot).bam"
                    },
                    "id": "#cram_to_bam.cwl/bam"
                }
            ],
            "id": "#cram_to_bam.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "samtools index",
            "arguments": [
                "cp",
                "$(inputs.bam.path)",
                "$(runtime.outdir)/$(inputs.bam.basename)",
                {
                    "valueFrom": " && ",
                    "shellQuote": false
                },
                "/opt/samtools/bin/samtools",
                "index",
                "$(inputs.bam.path)",
                "$(runtime.outdir)/$(inputs.bam.basename).bai"
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/samtools-cwl:1.0.0"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#index_bam.cwl/bam"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.bam.basename)"
                    },
                    "id": "#index_bam.cwl/indexed_bam"
                }
            ],
            "id": "#index_bam.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Set up and execute manta",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/manta_somatic-cwl:1.5.0"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 12,
                    "ramMin": 24000,
                    "tmpdirMin": 10000
                }
            ],
            "baseCommand": [
                "/usr/bin/python",
                "/usr/bin/manta/bin/configManta.py"
            ],
            "arguments": [
                {
                    "position": -1,
                    "valueFrom": "$(runtime.outdir)",
                    "prefix": "--runDir"
                },
                {
                    "shellQuote": false,
                    "valueFrom": "&&"
                },
                "/usr/bin/python",
                "runWorkflow.py",
                "-m",
                "local",
                {
                    "position": 1,
                    "valueFrom": "$(runtime.cores)",
                    "prefix": "-j"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": -5,
                        "prefix": "--callRegions"
                    },
                    "id": "#manta_somatic.cwl/call_regions"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": -6,
                        "prefix": "--exome"
                    },
                    "id": "#manta_somatic.cwl/non_wgs"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": -2,
                        "prefix": "--normalBam"
                    },
                    "secondaryFiles": "${if (self.nameext === \".bam\") {return self.basename + \".bai\"} else {return self.basename + \".crai\"}}",
                    "id": "#manta_somatic.cwl/normal_bam"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": -7,
                        "prefix": "--outputContig"
                    },
                    "id": "#manta_somatic.cwl/output_contigs"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": -4,
                        "prefix": "--referenceFasta"
                    },
                    "id": "#manta_somatic.cwl/reference"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": -3,
                        "prefix": "--tumorBam"
                    },
                    "secondaryFiles": "${if (self.nameext === \".bam\") {return self.basename + \".bai\"} else {return self.basename + \".crai\"}}",
                    "id": "#manta_somatic.cwl/tumor_bam"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "results/variants/candidateSV.vcf.gz"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#manta_somatic.cwl/all_candidates"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "results/variants/diploidSV.vcf.gz"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#manta_somatic.cwl/diploid_variants"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "results/variants/candidateSmallIndels.vcf.gz"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#manta_somatic.cwl/small_candidates"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "results/variants/somaticSV.vcf.gz"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#manta_somatic.cwl/somatic_variants"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "results/variants/tumorSV.vcf.gz"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#manta_somatic.cwl/tumor_only_variants"
                }
            ],
            "id": "#manta_somatic.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Run Smoove v0.1.6",
            "baseCommand": "/usr/local/bin/smoove",
            "arguments": [
                "call",
                "--processes",
                "4",
                "-F"
            ],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "brentp/smoove@sha256:9d5098d3882df1443aae36922d36b5188af1cb9b8f83dab4a9ed041a6a8019cc"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 20000,
                    "coresMin": 4,
                    "tmpdirMin": 10000
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "prefix": "--genotype",
                        "position": 1
                    },
                    "doc": "Array of bams to run through lumpy, can be single or small cohort",
                    "id": "#smoove.cwl/bams"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--name",
                        "position": 2
                    },
                    "default": "SV",
                    "doc": "Used for naming the output file",
                    "id": "#smoove.cwl/cohort_name"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "--exclude",
                        "position": 4
                    },
                    "doc": "Bed file used to exclude regions",
                    "id": "#smoove.cwl/exclude_regions"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--fasta",
                        "position": 3
                    },
                    "doc": "Reference used to generate the bams",
                    "id": "#smoove.cwl/reference"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.cohort_name)-smoove.genotyped.vcf.gz"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#smoove.cwl/output_vcf"
                }
            ],
            "id": "#smoove.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
